# EOSC Notebooks

This directory has all the files to get started with a new deployment of EOSC
Notebooks.

## Admin Environment Setup

### Hashicorp Vault

Prepare environment for interrating with Hashicorp Vault:

    export VAULT_ADDR=https://vault.egi.zcu.cz:8200

    # replace $LOGIN for real user name in vault
    vault login -method=userpass username=$LOGIN

Check environment:

    vault kv get -mount=eosc/dev -field 'data' -format=json test

Note: values were created as admin by commands (replace $SECRET\_NAME and $VALUE):

    vault kv put -mount=eosc/dev $SECRET_NAME value=$VALUE

## Sites

### CESNET Central

Kubernetes cluster for the "central" components - Jupyter Hub, image repository, ...

### CESNET MCC

Example site. Kubernetes cluster for worker nodes.
